# Copyright 2005-2017 by Kollmorgen Corporation.s
#
# Released under the MIT license (see COPYING.MIT)

# sysctl_config.bbclass - Tunes the parameters in the /etc/sysctl.conf that are needed by the KAS runtime

sysctl_config_set_tcp_fin_timeout() {
    # systemd sysctl config
    test -d ${IMAGE_ROOTFS}${sysconfdir}/sysctl.d && \
        echo "net.ipv4.tcp_fin_timeout = 0" > ${IMAGE_ROOTFS}${sysconfdir}/sysctl.d/net-ip4-tcp-fin-timeout.conf

    # sysv sysctl config
    IMAGE_SYSCTL_CONF="${IMAGE_ROOTFS}${sysconfdir}/sysctl.conf"
    test -e ${IMAGE_ROOTFS}${sysconfdir}/sysctl.conf && \
        sed -e "/net.ipv4.tcp_fin_timeout/d" -i ${IMAGE_SYSCTL_CONF}
    echo "net.ipv4.tcp_fin_timeout = 0" >> ${IMAGE_SYSCTL_CONF}
}

sysctl_config_set_core_pattern() {
    IMAGE_SYSCTL_CONF="${IMAGE_ROOTFS}${sysconfdir}/sysctl.conf"

    test -e ${IMAGE_ROOTFS}${sysconfdir}/sysctl.conf && \
        sed -e "/kernel.core_pattern/d" -i ${IMAGE_SYSCTL_CONF}
    echo "kernel.core_pattern = /tmp/%e-%p-%t.core" >> ${IMAGE_SYSCTL_CONF}
}

sysctl_config_eth_options() {
    IMAGE_SYSCTL_CONF="${IMAGE_ROOTFS}${sysconfdir}/sysctl.conf"

    # Disable ipv6 for EtherCAT port (eth0)
    test -e ${IMAGE_ROOTFS}${sysconfdir}/sysctl.conf && \
        sed -e "/net.ipv6.conf.eth0.disable_ipv6/d" -i ${IMAGE_SYSCTL_CONF}
    echo "net.ipv6.conf.eth0.disable_ipv6 = 1" >> ${IMAGE_SYSCTL_CONF}
}
