#!/bin/sh

if [ $# -lt 1 ]; then
    exit 0;
fi

if [ $1 == "preinst" ]; then
    if [ -f /boot/uboot.env ]; then
        echo "Preserving uboot environment"
        cp /boot/uboot.env /tmp/uboot.env
        status=$?
        if [ $status -eq 0 ]; then 
            echo "Copied /boot/uboot.env to /tmp/uboot.env"
        else
            echo "Failed to copy /boot/uboot.env to /tmp/uboot.env"
        fi
    fi
    
    umount /boot
    umount_status=$?
    if [ $umount_status -eq 0 ]; then 
        echo "Unmounted /boot partition"
    else
        echo "Failed to unmount /boot partition"
    fi
fi

if [ $1 == "postinst" ]; then
    mount /dev/mmcblk1p1 /boot
    mount_status=$?
    if [ $mount_status -eq 0 ]; then 
        echo "Mounted /boot partition"
    else
        echo "Failed to mount /boot partition"
    fi
    
    if [ -f /tmp/uboot.env ]; then
        echo "Restoring uboot environment"
        cp /tmp/uboot.env /boot/uboot.env
        status=$?
        if [ $status -eq 0 ]; then 
            echo "Copied /tmp/uboot.env to /boot/uboot.env"
        else
            echo "Failed to copy /tmp/uboot.env to /boot/uboot.env"
        fi
    fi
fi
