#
# Common for USB image
#

WKS_FILE = "emmc-usb.wks.in"

# Replace the fstab for the USB image to boot from /dev/sda
add_usb_fstab () {
   install -m 0644 ${WORKDIR}/sda_fstab ${IMAGE_ROOTFS}/etc/fstab
}
do_image_wic[prefuncs] += " add_usb_fstab"

# Replace cmdline in "bootfiles" deploy directory with the one for USB.
do_image_wic_set_cmdline() {
   install -m 0644  "${DEPLOY_DIR_IMAGE}/${BOOTFILES_DIR_NAME}/cmdline-usb.txt" \
   "${DEPLOY_DIR_IMAGE}/${BOOTFILES_DIR_NAME}/cmdline.txt" 
}
do_image_wic[prefuncs] += "do_image_wic_set_cmdline"

# Add tgz & *.bin files to "kas-data" partition to support controller backup and recovery.
do_image_data_partition_before_swu:append() {

	# Note: For USB recovery images, we only need to copy the OS ().swu) and 
	# KAS runtime (.tgz) files to /kas-data/system/2 folder partition.
	# The system recovery script (~/kas/scripts/file_system_recover.sh) copies these files
	# onto both /kas-data/system/2 and /kas-data/system/3 directories on the "MMC flash"
	# when user initiates system recovery from the web server.

	boot_swu_file_prefix="KAS-PCMM2G-Cx-08-bootimage-"
	os_swu_file_prefix="KAS-PCMM2G-Cx-08-OS-"
	public_key_bin_file="public_key.bin"
	signed_key_bin_file="signed_key.bin"

	# Copy boot image and signature files to /kas-data/system/1 partition
	install -m 0444 ${DEPLOY_DIR_TAR}/${boot_swu_file_prefix}*.swu ${KAS_DATA_PARTITION_DIR}/system/1/
	install -m 0444 ${DEPLOY_DIR_TAR}/${boot_swu_file_prefix}*.swu.bin ${KAS_DATA_PARTITION_DIR}/system/1/
	install -m 0444 ${DEPLOY_DIR_TAR}/${public_key_bin_file} ${KAS_DATA_PARTITION_DIR}/system/1/
	install -m 0444 ${DEPLOY_DIR_TAR}/${signed_key_bin_file} ${KAS_DATA_PARTITION_DIR}/system/1/

	# Copy OS image and signature files to /kas-data/system/2 partition.
	install -m 0444 ${DEPLOY_DIR_TAR}/${os_swu_file_prefix}*.swu ${KAS_DATA_PARTITION_DIR}/system/2/
	install -m 0444 ${DEPLOY_DIR_TAR}/${os_swu_file_prefix}*.swu.bin ${KAS_DATA_PARTITION_DIR}/system/2/
	install -m 0444 ${DEPLOY_DIR_TAR}/${public_key_bin_file} ${KAS_DATA_PARTITION_DIR}/system/2/
	install -m 0444 ${DEPLOY_DIR_TAR}/${signed_key_bin_file} ${KAS_DATA_PARTITION_DIR}/system/2/

	# install -m 0444 ${DEPLOY_DIR_TAR}/{os_swu_file_prefix}*.swu ${KAS_DATA_PARTITION_DIR}/system/2/ # OS update file
	# install -m 0444 ${DEPLOY_DIR_TAR}/*.bin ${KAS_DATA_PARTITION_DIR}/system/2/ # signature files

	# Copy KAS runtime and signature files to /kas-data/system/2 partition
    if [ "${@d.getVar('INSTALL_KAS_RUNTIME')}" = "1" ]; then
      install -m 0444 ${DEPLOY_DIR_TAR}/${KAS_RUNTIME_ARTIFACT_TGZ} ${KAS_DATA_PARTITION_DIR}/system/2/
      install -m 0444 ${DEPLOY_DIR_TAR}/${KAS_RUNTIME_ARTIFACT_TGZ}.bin ${KAS_DATA_PARTITION_DIR}/system/2/
    fi
}
