DESCRIPTION = "Customize EtherCAT port (eth0) configuration"

FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"

SRC_URI = "\
   file://80-wired-eth0.network \
   file://80-wired-eth1.network \
   file://99-pcmm-dhcp.conf \
   file://99-systemd-conf.conf \
"

# TODO: Temporary hack to fix below build error
# ERROR: Task (/yocto/build/../layers/poky/meta/recipes-core/systemd/systemd-conf_1.0.bb:do_install) failed with exit code '1' |
# install: cannot stat '/yocto/build/tmp/work/kas_pcmm2g-poky-linux/systemd-conf/1_1.0-r0/journald.conf': No such file or directory
do_install:prepend(){
   install -D -m 0644 ${FILE_DIRNAME}/systemd-conf/journald.conf ${WORKDIR}/journald.conf
   install -D -m 0644 ${FILE_DIRNAME}/systemd-conf/logind.conf ${WORKDIR}/logind.conf
   install -D -m 0644 ${FILE_DIRNAME}/systemd-conf/system.conf ${WORKDIR}/system.conf
   install -D -m 0644 ${FILE_DIRNAME}/systemd-conf/wired.network ${WORKDIR}/wired.network
}

do_install:append() {
   install -D -m 0644 ${WORKDIR}/80-wired-eth0.network ${D}/${systemd_unitdir}/network/80-wired-eth0.network
   install -D -m 0644 ${WORKDIR}/80-wired-eth1.network ${D}/${systemd_unitdir}/network/80-wired-eth1.network
   install -D -m 0644 ${WORKDIR}/99-pcmm-dhcp.conf ${D}/${sysconfdir}/systemd/networkd.conf.d/99-pcmm-dhcp.conf
   install -D -m 0644 ${WORKDIR}/99-systemd-conf.conf ${D}/${systemd_unitdir}/journald.conf.d/99-systemd-conf.conf
}

FILES:${PN} += " ${sysconfdir}/systemd/networkd.conf.d/"
