SUMMARY = "KAS Runtime Image"
DESCRIPTION = "Adds KAS runtime image to the distro"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

# settings for KAS runtime version
require conf/distro/kas-runtime.conf
SRC_URI[sha256sum] = "${KAS_SRC_URI_CHECKSUM}"

SRC_URI = " \
    ${KAS_JENKINS_BUILD_JOB_BASE_URL}/${KAS_JENKINS_BUILD_NUMBER}/artifact/BuildArtifacts/${KAS_RUNTIME_ARTIFACT_NAME} \
    "

PACKAGE_ARCH = "${MACHINE_ARCH}"
S = "${WORKDIR}"

# Copy KAS runtime image (.tgz) and signature files (*.bin) tha got downloaded
# from the Jenkins URL above to deploy folder in order for the image to pick it up.
do_deploy_pcmm_tarball() {
  install -d ${DEPLOY_DIR_TAR}

  # Install KAS runtime image file (.tgz)
  install -m 0644 ${S}/${KAS_RUNTIME_ARTIFACT_TGZ} ${DEPLOY_DIR_TAR}

  # Install KAS runtime image signature files (*.bin)
  #   ==> kas-pcmm2g-arm_64bit_gcc_11_2_0-release.tgz.bin
  #   ==> public_key.bin
  #   ==> signed_key.bin
  install -m 0644 ${S}/*.bin ${DEPLOY_DIR_TAR}
}
addtask do_deploy_pcmm_tarball after do_unpack before do_prepare_recipe_sysroot
