SUMMARY = "USB flash drive automount"
DESCRIPTION = "Adds udev rules to support automount of USB flash devices"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

inherit systemd

RDEPENDS:${PN} = "bash"

FILESEXTRAPATHS:prepend := "${THISDIR}/files:"

SRC_URI = " \
    file://usb-mount.sh \
    file://usb-mount@.service \
    file://99-usb-automount.rules \
    "

SYSTEMD_SERVICE:${PN} = "usb-mount@.service"
S = "${WORKDIR}"

do_install:append() {
  install -d ${D}/${systemd_unitdir}/system
  install -m 0644 ${WORKDIR}/usb-mount@.service ${D}/${systemd_unitdir}/system

  install -d ${D}${sysconfdir}/udev/rules.d
  install -m 0744 ${WORKDIR}/99-usb-automount.rules ${D}${sysconfdir}/udev/rules.d/
  
  install -d ${D}/${bindir}/
  install -m 0744 ${WORKDIR}/usb-mount.sh ${D}/${bindir}/
}
